Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.stream
Interface IBroadcastStreamService

All Known Implementing Classes:
  ApplicationAdapter, MultiThreadedApplicationAdapter

    public interface IBroadcastStreamService

Field Summary
`static String` | `BROADCAST_STREAM_SERVICE`

Method Summary
`IBroadcastStream` | `getBroadcastStream(IScope scope, String name)` Get a broadcast stream by name
`List<String>` | `getBroadcastStreamNames(IScope scope)` Get a set containing the names of all the broadcasts
`boolean` | `hasBroadcastStream(IScope scope, String name)` Does the scope have a broadcast stream registered with a given name

Field Detail

### BROADCAST_STREAM_SERVICE

    static final String BROADCAST_STREAM_SERVICE

See Also:
  Constant Field Values

Method Detail

### hasBroadcastStream

    boolean hasBroadcastStream(IScope scope,
                               String name)

  Does the scope have a broadcast stream registered with a given name

  Parameters:
    `scope` - the scope to check for the stream
    `name` - name of the broadcast
  Returns:
    true is a stream exists, otherwise false

### getBroadcastStream

    IBroadcastStream getBroadcastStream(IScope scope,
                                        String name)

  Get a broadcast stream by name

  Parameters:
    `scope` - the scope to return the stream from
    `name` - the name of the broadcast
  Returns:
    broadcast stream object

### getBroadcastStreamNames

    List<String> getBroadcastStreamNames(IScope scope)

  Get a set containing the names of all the broadcasts

  Parameters:
    `scope` - the scope to search for streams
  Returns:
    set containing all broadcast names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project